### Virtual Method

# FwupdPlugin CfiDevice send_command

#### Declaration [src]

    gboolean
    send_command (
      FuCfiDevice* self,
      const guint8* wbuf,
      gsize wbufsz,
      guint8* rbuf,
      gsize rbufsz,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Sends an unspecified command stream to the CFI device.

Available since: | 1.9.1

#### Parameters

`wbuf` | `const guint8*`
| Buffer.
| The data is owned by the caller of the function.
`wbufsz` | `gsize`
| Size of `wbuf`, possibly zero.
`rbuf` | `guint8*`
| Buffer.
| The data is owned by the caller of the function.
`rbufsz` | `gsize`
| Size of `rbuf`, possibly zero.
`progress` | `FuProgress`
| A `FuProgress`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.